<?php
/**
 * Plugin Name: HostedSMS.pl - SMS API integration for WooCommerce
 * Description: Wtyczka służy do wysyłania powiadomień SMS o zmianach statusów do klientów sklepu opartego o WooCommerce dla WordPress. Możliwe jest skonfigurowanie powiadomień o zmianach dla 4 rodzajów statusów sklepu WooCommerce.
 * 
 * EN:
 * The plugin is used to send SMS notifications about status changes to customers of a WooCommerce-based store for WordPress. It is possible to configure notifications for changes in 4 types of WooCommerce store statuses.
 * Author:      dcs.pl
 * Author URI:  https://dcs.pl/pl
 * Text Domain: hostedSMS
 * Domain Path: /languages
 * Version:     1.0
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 * 
 * @package WC_Integration_HostedSMS
 */
if ( ! class_exists( 'WC_HostedSMS' ) ) :
    require_once 'vendor/autoload.php';
    class WC_HostedSMS {
        public function __construct() {
            add_action( 'plugins_loaded', array( $this, 'init' ) );
        }

        public function init() {
            if ( class_exists( 'WC_Integration' ) ) {
                load_plugin_textdomain( 'hostedSMS', false, dirname( plugin_basename( __FILE__ )) . '/languages');
                include_once 'class-wc-hostedSMS-integration.php';
                add_filter( 'woocommerce_integrations', array( $this, 'add_integration' ) );
            } else {
                new Exception('Woocommerce class not loaded');
            }
        }

        public function add_integration( $integrations ) {
            $integrations[] = 'WC_Integration_HostedSMS';
            return $integrations;
        }
    }
endif;

$WC_HostedSMS = new WC_HostedSMS( __FILE__ );